Subject: Bug#760096: [Pkg-phototools-devel] Bug#760096: Acknowledgement (gphoto2: Fails to initialize CanonPowerShot G5 after upgrade from stable)

From: Herbert Fortes <[email-masked]>
Date: Tue, 26 Jul 2016 13:55:10 -0300

> > Can you tell me which mode (normal/PTP) did you use ? 
> 
> How do I find out? I just plug the camera in.

I do not have a camera. But when I plug my
cell phone I have two options (in the cell
phone):

 - media device. Like a pendrive I guess.
 - camera (PTP))

Is there something similar in your camera ?

> > Can you set '--camera MODEL' and see what happens ? It 
> > will necessary to use '--port' too. 
> > 
> > "--list-cameras" (List supported camera models.) and
> 
> This "only" gives:
> helge@samd:~$ gphoto2 --list-cameras | grep G5
>         »Canon PowerShot G5 (PTP mode)«

PTP mode is the only way.

> > "--list-ports" (List supported port devices) can be
> > a help.
> 
> helge@samd:~$ LC_ALL=C gphoto2 -L --camera "Canon PowerShot G5 (PTP mode)" --port "usb:"
> 
> *** Error ***
> An error occurred in the io-library ('Bad parameters'): No error description available
> *** Error (-2: 'Bad parameters') ***

Yes, PTP must be set on the device, if possible. Did
you try '--auto-detect' ? The manpage says it list 
auto-detected cameras.

> 
> For debugging messages, please use the --debug option.
> Debugging messages may help finding a solution to your problem.
> If you intend to send any error or debug messages to the gphoto
> developer mailing list <[email-masked]>, please run
> gphoto2 as follows:
> 
>     env LANG=C gphoto2 --debug --debug-logfile=my-logfile.txt -L --camera "Canon PowerShot G5 (PTP mode)" --port usb:
> 
> Please make sure there is sufficient quoting around the arguments.
> 
> However, I just by chance tried as root:
> root@samd:~# LC_ALL=C gphoto2 -L
> There is no file in folder '/'.
> There is no file in folder '/store_00010001'.
> There is no file in folder '/store_00010001/MISC'.
> There is no file in folder '/store_80000001'.
> 
> Strange, so it must be a permission problem. Also -P works (as root).

Did you check /dev/* ? lsusb and ls -l /dev/bus/usb/003/012 (in my case)
can show the permissions.

regards,
-- Herbert Parentes Fortes Neto (hpfn)